Announcement

Collapse
No announcement yet.

"Internal server error" when "Update Version"

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • "Internal server error" when "Update Version"

    I execute "Update Version" to see if it can solve the "Internal server error" upon generating source.

    There is also "Internal server error" upon I click "Download and Install", the following is the error log of apache.

    [Tue Aug 12 00:30:37.482511 2014] [fastcgi:error] [pid 15059] [client 10.10.10.11:63385] FastCGI: comm with server "/data/SC_v8/components/apache/cgi-bin/php.fcgi" aborted: idle timeout (30 sec), referer: http://10.10.10.6:88/scriptcase/deve...e0c0c5dbe5e81b
    [Tue Aug 12 00:30:37.482641 2014] [fastcgi:error] [pid 15059] [client 10.10.10.11:63385] FastCGI: incomplete headers (0 bytes) received from server "/data/SC_v8/components/apache/cgi-bin/php.fcgi", referer: http://10.10.10.6:88/scriptcase/deve...e0c0c5dbe5e81b


    I think it is the SC error because the same server running SC 7 w/o problem. Only after upgrade to SC 8, there are always "Internal server error". I use the stock download w/o any amendment, is there an updated version can fix this problem ?

    Regards,

    Almond Wong

  • #2
    I'm not sure how you have installed things, but if you are running under windows then SC7 runs on a different apache server then SC8. Both run at the same time on different ports. My approach would be to export the projects, delete SC8 and reinstall. If it still persist in the error then there's an issue, but I don't see much of those errors here. So I expect it's something local.
    Albert Drent
    aducom software netherlands
    scriptcase partner, reseller, support and (turn-key) development
    www.scriptcase.eu / www.scriptcase.nl

    Comment


    • #3
      I uninstalled SC7. There is only SC8. SC8 run at default 88 port.

      I already do a clean install by downloading scriptcase-8.0.002-en_us.tgz. The server is CentOS 6.5, client is WIN7. Using SC7 has no problem.

      Regards,

      Almond Wong

      Comment


      • #4
        Ok, can't figure that out as I'm not a linux man. You could try to do a kdiff on both apache config files to look for differences. I'm pretty much convinced that the problem lies there. No need to uninstall 7, in fact I advise to stay on 7 and just use 8 for evaluating until the version becomes stable.
        Albert Drent
        aducom software netherlands
        scriptcase partner, reseller, support and (turn-key) development
        www.scriptcase.eu / www.scriptcase.nl

        Comment


        • #5
          It now became "Internal Server Error" all the time. No matter generate source code, update version, or others.

          I reinstalled a clean CentOS 6.5 and the result is the same. No matter 8.0.000 or 8.0.002, every time when I execute "Update Version", it return "Internal Server Error" after I click "Download and Install updates". But the "Check ScriptCase Update" and "Search for Updates" looks O.K. "Search for Updates" returns "Updates found:4193", so, I think my network has no problem.

          Please advice what is the matter. The apache error log;

          [Tue Aug 12 22:00:59.577565 2014] [fastcgi:error] [pid 2604] [client 10.10.10.11:50672] FastCGI: comm with server "/data/SC_V8/components/apache/cgi-bin/php.fcgi" aborted: idle timeout (30 sec), referer: http://10.10.10.60:88/scriptcase/dev...e54c66940789e1
          [Tue Aug 12 22:00:59.577688 2014] [fastcgi:error] [pid 2604] [client 10.10.10.11:50672] FastCGI: incomplete headers (0 bytes) received from server "/data/SC_V8/components/apache/cgi-bin/php.fcgi", referer: http://10.10.10.60:88/scriptcase/dev...e54c66940789e1


          Regards,

          Almond Wong

          Comment

          Working...
          X